View Issue Details

IDProjectCategoryView StatusLast Update
0024388mantisbtapi restpublic2018-06-06 00:39
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.14.0 
Target Version2.15.0Fixed in Version2.15.0 
Summary0024388: Support create project versions via REST API
Description

Support creation of versions via REST API for scenarios like build systems publishing new builds and creating corresponding versions.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 2c2449b2

2018-05-04 22:14:17

vboctor

Details Diff
Create project version via REST API

- Create a command for adding a project version.
- Update web UI to use command to add project versions
- Update SOAP API to add a project version
- Create a REST API to add a project version

Fixes 0024388
Affected Issues
0024388
mod - api/rest/restcore/projects_rest.php Diff File
mod - api/soap/mc_project_api.php Diff File
add - core/commands/VersionAddCommand.php Diff File
mod - core/version_api.php Diff File
mod - manage_proj_ver_add.php Diff File

Issue History

Date Modified Username Field Change
2018-05-01 22:37 vboctor New Issue
2018-05-01 22:37 vboctor Status new => assigned
2018-05-01 22:37 vboctor Assigned To => vboctor
2018-05-04 22:15 vboctor Note Added: 0059739
2018-05-14 23:07 vboctor Changeset attached => MantisBT master 2c2449b2
2018-05-14 23:07 vboctor Status assigned => resolved
2018-05-14 23:07 vboctor Resolution open => fixed
2018-05-14 23:07 vboctor Fixed in Version => 2.15.0
2018-05-14 23:09 vboctor Target Version => 2.15.0
2018-06-06 00:39 vboctor Status resolved => closed